Bug 844655 - error message logged while creating federation link between standalone brokers
error message logged while creating federation link between standalone brokers
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 05:49 EDT by Petr Matousek
Modified: 2013-02-27 06:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test reproducer (930 bytes, text/plain)
2012-07-31 05:54 EDT, Petr Matousek
no flags Details

  None (edit)
Description Petr Matousek 2012-07-31 05:49:59 EDT
Description of problem:

While creating a federated link between two non-clustered brokers, following error message is logged to the broker log:

2012-07-27 17:56:30 error Execution exception: not-found: Exchange not found: amq.failover (qpid/broker/ExchangeRegistry.cpp:97)

According to Bug 835628, Comment 6:
Even though it has logged an error, there really is nothing wrong with the broker at this point - the bind fails, the session ends and both sides clean up.

I think no error message shall be appear in the broker log.

Version-Release number of selected component (if applicable):
qpid-cpp-*-14-19

How reproducible:
100%

Steps to Reproduce:
1. start standalone broker b1
2. start standalone broker b2
3. create fed.link between the two brokers b1 and b2
  
Actual results:
An error message appears in the broker log

Expected results:
No error message appears in the broker log file

Additional info:
Comment 1 Petr Matousek 2012-07-31 05:54:06 EDT
Created attachment 601497 [details]
test reproducer

Note You need to log in before you can comment on or make changes to this bug.